SDL_hid_open(3)

NAME
SDL_hid_open - Open a HID device using a Vendor ID (VID), Product ID (PID) and optionally a serial number.

HEADER FILE
Defined in SDL3/SDL_hidapi.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_hid_device * SDL_hid_open(unsigned short vendor_id, unsigned short product_id, const wchar_t *serial_number);

DESCRIPTION
If serial_number is NULL, the first device with the specified VID and PID is opened.

FUNCTION PARAMETERS

vendor_id
    the Vendor ID (VID) of the device to open.

product_id
    the Product ID (PID) of the device to open.

serial_number
    the Serial Number of the device to open (Optionally NULL).

RETURN VALUE
( SDL_hid_device
 *) Returns a pointer to a

SDL_hid_device
 object on success or NULL on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.